Bungled install

Questions about Wine on Linux
Post Reply
Halvor_Raknes
Newbie
Newbie
Posts: 2
Joined: Wed Jun 10, 2020 8:57 am

Bungled install

Post by Halvor_Raknes » Tue Jun 23, 2020 8:41 am

I first attempted to install from the Linux Mint repository, but when I realized this was not an updated version I tried to uninstall and then to install from the Wine HQ. But now I'm completely stuck. Apparently some of the older dependencies won't uninstall.
can
I'm quite the newbie, so please advise about what info I should provide and also how to find it. I should point out that my OS outputs in Norwegian, so perhaps some command needs to be given so that I can share shell command line output in English…

jkfloris
Level 7
Level 7
Posts: 993
Joined: Thu Aug 14, 2014 10:10 am

Re: Bungled install

Post by jkfloris » Thu Jun 25, 2020 4:19 pm

Can you post the output of:

Code: Select all

sudo apt install --install-recommends winehq-stable
After you have installed the libfaudio0 packages
viewtopic.php?f=8&t=32192

Halvor_Raknes
Newbie
Newbie
Posts: 2
Joined: Wed Jun 10, 2020 8:57 am

Re: Bungled install

Post by Halvor_Raknes » Sat Jun 27, 2020 5:35 am

I'm afraid I couldn't glean from that thread how I actually install libfaudio0. However, I noticed a lot of discussion centering on OBS Studio, and since I have that installed I reckon maybe I also have that file installed already.

Anyway, here's the output from that command (and as I warned, much of the output is in Norwegian, so unless someone gives me another command for changing that to English, it may be difficult for you to decipher):
halvor@halvor-X551MA:~$ sudo apt install --install-recommends winehq-stable
[sudo] passord for halvor:
Leser pakkelister ... Ferdig
Skaper oversikt over avhengighetsforhold
Leser tilstandsinformasjon ... Ferdig
Noen pakker ble ikke installeres. Dette kan bety at du har bedt om
en umulig tilstand eller, hvis du bruker den ustabile utgaven av Debian,
at visse kjernepakker ennå ikke er laget eller flyttet ut av «Incoming» for
distribusjonen.
Følgende informasjon kan være til hjelp med å løse problemet:

Følgende pakker har uinnfridde avhengighetsforhold:
winehq-stable : Avhenger av: wine-stable (= 5.0.1~bionic)
E: Klarer ikke å rette problemene, noen ødelagte pakker er holdt tilbake.

jkfloris
Level 7
Level 7
Posts: 993
Joined: Thu Aug 14, 2014 10:10 am

Re: Bungled install

Post by jkfloris » Sun Jun 28, 2020 4:55 am

To make sure that libfaudio0 is installed, run:

Code: Select all

dpkg -l | grep libfaudio0
The output have to be something like:

Code: Select all

ii  libfaudio0:amd64                                            20.04-2                             amd64        XAudio sound processing reimplementation - library
ii  libfaudio0:i386                                             20.04-2                             i386         XAudio sound processing reimplementation - library
When both packages are installed (the "ii" in front),
try to install the wine-stable-amd64 and wine-stable-i386:i386[i/]packages to find out where the error is:

Code: Select all

sudo apt install --install-recommends wine-stable-amd64
sudo apt install --install-recommends wine-stable-i386:i386
Post the output if any of the commands fail.
You can set the output to English with the LANG variable.

Code: Select all

LANG=CC sudo apt install --install-recommends wine-stable-amd64
Also post the output of:

Code: Select all

grep -r ^deb /etc/apt/sources.list*

Post Reply